Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.assembler
Class StoreDescAssembler

    java.lang.Object
      com.hp.hpl.jena.assembler.assemblers.AssemblerBase
          com.hp.hpl.jena.sdb.assembler.StoreDescAssembler

All Implemented Interfaces:
  com.hp.hpl.jena.assembler.Assembler

    public class StoreDescAssembler

extends com.hp.hpl.jena.assembler.assemblers.AssemblerBase
implements com.hp.hpl.jena.assembler.Assembler

Field Summary

Fields inherited from interface com.hp.hpl.jena.assembler.Assembler
`connection, content, defaultModel, documentManager, fileManager, fileModel, general, infModel, locationMapper, memoryModel, modelSource, ontModel, ontModelSpec, prefixMapping, rdbModel, reasonerFactory, ruleSet, unionModel`

Constructor Summary
`StoreDescAssembler()`

Method Summary
`StoreDesc` | `open(com.hp.hpl.jena.assembler.Assembler a, com.hp.hpl.jena.rdf.model.Resource root, com.hp.hpl.jena.assembler.Mode mode)`

Methods inherited from class com.hp.hpl.jena.assembler.assemblers.AssemblerBase
`getOptionalClassName, getRequiredResource, open, open, openModel, openModel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.assembler.Assembler
`open, open, openModel, openModel`

Constructor Detail

### StoreDescAssembler

    public StoreDescAssembler()

Method Detail

### open

    public StoreDesc open(com.hp.hpl.jena.assembler.Assembler a,
                          com.hp.hpl.jena.rdf.model.Resource root,
                          com.hp.hpl.jena.assembler.Mode mode)

  Specified by:
    `open` in interface `com.hp.hpl.jena.assembler.Assembler`
  Specified by:
    `open` in class `com.hp.hpl.jena.assembler.assemblers.AssemblerBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.